io.etcd.jetcd.options

## Class WatchOption

- java.lang.Object
- - io.etcd.jetcd.options.WatchOption

    public final class WatchOption
    extends Object

The option for watch operation.

### Nested Class Summary

Nested Classes
`static class` `WatchOption.Builder`

### Field Summary

Fields
`static WatchOption` `DEFAULT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Optional<ByteSequence>` `getEndKey()`
`long` `getRevision()`
`boolean` `isNoDelete()` Whether filter delete event in server side.
`boolean` `isNoPut()` Whether filter put event in server side.
`boolean` `isPrevKV()` Whether created watcher gets the previous KV before the event happens.
`boolean` `isProgressNotify()` Whether watcher server send periodic progress updates.
`static WatchOption.Builder` `newBuilder()` Create a builder to construct option for watch operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final WatchOption DEFAULT

### Method Detail

#### newBuilder

    public static WatchOption.Builder newBuilder()

Create a builder to construct option for watch operation.

Returns:
  builder

#### getEndKey

    public Optional<ByteSequence> getEndKey()

#### getRevision

    public long getRevision()

#### isPrevKV

    public boolean isPrevKV()

Whether created watcher gets the previous KV before the event happens.

#### isProgressNotify

    public boolean isProgressNotify()

Whether watcher server send periodic progress updates.

Returns:
  if true, watcher server should send periodic progress updates.

#### isNoPut

    public boolean isNoPut()

Whether filter put event in server side.

Returns:
  if true, filter put event in server side

#### isNoDelete

    public boolean isNoDelete()

Whether filter delete event in server side.

Returns:
  if true, filter delete event in server side